@charset "utf-8";

/* ===================================================
  Variables
====================================================== */
:root {
  --accent: #8D0D27;
  --white: #fff;
  --gray: #ccc;
  --text-main: #333; /* 基本の文字色 */
  --text-sub: #555;  /* 補足・ラベル用 */
}


/* ===================================================
  Base CSS
====================================================== */
* { margin: 0; padding: 0; }
html { scroll-behavior: smooth; }
div { box-sizing: border-box; }

body {
  min-height: 100vh;
  color: var(--text-main);
  font-size: 16px;
  font-weight: normal;
  line-height: 1.8;
  font-family: "游ゴシック", YuGothic, "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "Osaka", "Verdana", "Helvetica", "Arial", "ＭＳ Ｐゴシック", sans-serif;
  -webkit-text-size-adjust: 100%;
  position: relative;
  font-feature-settings: "palt";
  letter-spacing: 0.08em;
  overflow-x: hidden;
}

a { color: var(--text-main); text-decoration: none; transition: all .5s; }

.ofi { object-fit: cover; width: 100%; height: 100%; }

.pc { display: block; width: 100%; height: 100%; }
.sp { display: none; width: 100%; height: 100%; }


@media screen and (max-width: 768px) {
  body { min-width: 0;}
}

@media screen and (max-width: 600px) {
  .pc { display: none; }
  .sp { display: block; }
}

@media screen and (hover:hover) and (min-width: 601px) {
  a:hover { opacity: .8; }
}


/* ===================================================
  wrap
====================================================== */
#wrap{
  margin: 0 auto;
  position: relative;
  background: #fff;
}


/* ===================================================
  Header
====================================================== */
header {
  position: absolute;
  top: 0; left: 0; right: 0;
  height: 90px;
  z-index: 100;
  line-height: 1;
}

.site_title {
  margin-left: 40px;
  display: flex;
  align-items: center;
  height: 100%;
}

.site_title a {
  display: flex;
  align-items: center;
  height: 100%; 
  width: auto;
  text-decoration: none;
}

.site_title img {
  display: block;
  height: 100%;
  width: auto;
  max-height: 60px
}

@media screen and (max-width: 768px) {
  .site_title { margin-left: 5vw; }
}



/* ===================================================
  navigation
====================================================== */

/* --- hamburger --- */
.hamburger {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  cursor: pointer;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
  background: var(--white);
  border: 1px solid var(--gray) !important; /* 追加：枠線をつける（お好みで） */

  appearance: none;      /* 追加：標準スタイル解除 */
  border: none;          /* 修正：枠線を消す（お好みで） */
  outline: none;         /* 追加：クリック時の青枠解除 */
  padding: 0;            /* 追加：余白リセット */

}


.inner {
  width: 30px;
  height: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.inner span {
  display: block;
  width: 100%;
  height: 2px;
  background-color: #333;
  transition: 0.3s;
}

/* --- active時（X印）の演出 --- */

.hamburger.active span:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}
.hamburger.active span:nth-child(2) {
  display: none;
  /* opacity: 0; background-color: #fff; */
}
.hamburger.active span:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}



/* メニューのスタイル（最初は右に隠しておく） */
.nav-menu {
  position: fixed;
  top: 0;
  right: -100% !important;
  width: 300px;
  height: 100vh;
  background-color: rgba(255, 255, 255, 0.95);
  transition: right 0.5s ease;
  z-index: 999;
  padding-top: 100px;
  display: block !important;
}

/* クラスがついたら画面内に出現 */
.nav-menu.open {
  right: 0 !important;
}

/* メニュー内のリンク */
.nav-menu ul {
  padding: 0 20px;
  list-style: none;
  text-align: center;
}

.nav-menu ul li{
  padding: 20px 0;
  border-bottom: 1px solid var(--gray);
}

.nav-menu ul li a {
  display: block;
  text-decoration: none;
  color: #333;
  font-size: 1.2rem;
}

.nav-menu ul li a:hover {
  color: #999
}


/* ===================================================
  main_img
====================================================== */
.main_img {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.slider-container {
  position: relative;
  width: 100%;
  max-width: 100%;
  margin: auto;
  aspect-ratio: 2400 / 1400; 
  background: var(--white);
  overflow: hidden;
}

.slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 2.0s ease-in-out;
}

.slide.active {
  opacity: 1;
}



/* ===================================================
  Section
====================================================== */
section {
  padding: 100px 0;
}

section .inner_col {
  margin: 0 auto;
  max-width: 960px;
}

section h2{
  margin-bottom: 40px;
  font-size: 30px;
  font-weight: 500;
  line-height: 1.4;
  letter-spacing: 0.2em;
}

section p{
  margin-bottom: 30px;
}

@media screen and (max-width: 600px) {
  section { padding: 15vw 6.5vw;}
  section h2 { margin-bottom: 10vw; font-size: 24px;}
  section p { margin-bottom: 8vw;}
}




/* ===================================================
  Inquiry
====================================================== */

#inquiry{
  background: url(../img/bg.jpg);
}


/* ===================================================
  Footer
====================================================== */
footer {
  padding: 50px 40px;
  background: #F2F2F2;
  border-top: 1px solid var(--white);
}

.footer_inner {
  margin: 0 auto;
  max-width: 960px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.f_info {
  width: 50%;
}

.f_info dt {
  margin: 0 0 15px;
  padding: 0 0 10px;
  border-bottom: 1px solid var(--gray);
}

.f_info dd p {
  margin-bottom: 7px;
  font-size: 14px;
  color: var(--text-sub);
  line-height: 1.6;
}


.fnav {
  display: flex;
  flex-wrap: wrap; 
}

.fnav a {
  display: inline-block;
  padding: 0 20px;
  font-size: 14px;
  color: var(--text-sub);
  transition: all .5s;
}

.fnav a::before { content: '›  '; }
.fnav a:hover { text-decoration: underline; opacity: 1; }


/* --- copyright --- */
.footer_bottom { 
  padding: 20px 0; text-align: center;
  background: #555;
}

.footer_bottom p {
  color: #fff;
  font-size: 12px;
}

@media screen and (max-width: 600px) {
  footer { padding: 10vw 6vw}
  .footer_inner { flex-direction: column;} 
  .f_info { margin-bottom: 5vw; width: 100%; text-align: center;}
  .fnav { flex-direction: column;}
  .fnav a { padding: 10px 0; }
}